POSTapi.synup.com/api/v4/locations
Create a new business location
A Location represents a physical business entity within your account and serves as the foundation for managing and interacting with the API’s features. Each Location acts as a centralized hub for managing and accessing data related to that specific business, including:
- Listings Management: Maintain accurate and consistent business details across multiple publishers.
- Review Monitoring: Track and respond to customer feedback associated with the location.
- Performance Insights: Analyze key metrics related to visibility, engagement, and growth.
- SEO Optimization: Enhance local search presence and improve rankings.
See the Request Section for a detailed data schema of Supported Fields. Here’s a key detail to keep in mind:
Requires an API key. Send it as
Authorization: API <your-key> — see Getting started.Parameters
Body
| Name | Type | Required | Description |
|---|---|---|---|
input | object | optional | |
input.tenure | string | optional | Required when an account has multiple subscriptions. Specifies the tenure (e.g., Monthly). For accounts with multiple subscriptions, specify the tenure of the corresponding subscription. Refer to Subscriptions for details. |
input.storeId | string | optional | Unique store identifier. Must be unique across all locations. |
input.subCategoryId | integer | required | ID of the subcategory the business belongs to |
input.name | string | required | Name of the business |
input.street | string | required | Street address of the business |
input.street1 | string | optional | Additional street address information |
input.city | string | required | City where the business is located |
input.postalCode | string | required | Postal code of the business location |
input.phone | string | required |
|
input.stateIso | string | required | State ISO code. Refer to the Places API for valid ISOs. |
input.countryIso | string | required | Country ISO code. Refer to the Places API for valid ISOs. |
input.description | string | required | Detailed description of the business |
input.ownerEmail | string | optional | Email of the business owner |
input.ownerName | string | optional | Name of the business owner |
input.bizUrl | string | optional | URL of the business website |
input.facebookUrl | string | optional | URL of the business's Facebook page |
input.twitterUrl | string | optional | URL of the business's Twitter page |
input.linkedinUrl | string | optional | URL of the business's LinkedIn page |
input.instagramUrl | string | optional | URL of the business's Instagram page |
input.youtubeUrl | string | optional | URL of the business's YouTube page |
input.tiktokUrl | string | optional | URL of the business's TikTok page |
input.pinterestUrl | string | optional | URL of the business's Pinterest page |
input.tagline | string | optional | Tagline of the business |
input.paymentMethods | array of string | optional | Accepted payment methods ("VISA", "MASTERCARD", "AMEX", "CASH", "CHEQUE", "CRYPTO", "DINERS_CLUB", "DISCOVER", "FINANCING", "INVOICE", "TRAVELERS_CHECK", "APPLE_PAY", "SAMSUNG_PAY", "PAYPAL", "ANDROID_PAY" ) |
input.yearOfIncorporation | integer | optional | Year the business was established |
input.hideAddress | boolean | optional | Set to true if location is a Service Area Business |
input.businessHours | array of object | optional | Business hours for each day of the week |
input.businessHours[].day | string | required | Day of the weekMONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAYSUNDAY |
input.businessHours[].slots | array of object | required | Array of time slots (minimum 1, maximum 2). Required only if type is OPEN. |
input.businessHours[].slots[].start | string | optional | Opening time. Valid formats: <HH>:<MM>am OR <HH>:<MM>pm |
input.businessHours[].slots[].end | string | optional | Closing time. Valid formats: <HH>:<MM>am OR <HH>:<MM>pm |
input.businessHours[].type | string | required | Type of business hours (e.g., OPEN, CLOSED, OPEN_24x7)OPENOPEN_24x7CLOSED |
input.additionalCategoryIds | array of integer | optional | Additional category IDs for the business |
input.videos | array of string | optional | List of valid video URLs |
input.enabledSiteIds | array of integer | optional | List of site IDs where the business details should be published |
input.submissionDisabledSiteIds | array of integer | optional | List of site IDs where the business details should not be published |
input.temporarilyClosed | boolean | optional | Set to true if the location's business hours should be marked as closed |
input.additionalPhones | array of string | optional | Additional contact phone numbers |
input.googleAdsPhone | string | optional | Google Ads-specific phone number |
input.bookingUrl | string | optional | URL for booking appointments. Applicable only for Food industry businesses |
input.offeringsUrl | string | optional | URL for listing business offerings. Applicable only for food industry businesses |
input.reservationUrl | string | optional | URL for making reservations. Applicable only for restaurant only businesses. |
input.placeActionLinks | array of object | optional | Manage a location's Place Action Links |
input.placeActionLinks[].placeActionType | string | required | One of the valid types.APPOINTMENTONLINE_APPOINTMENTDINING_RESERVATIONFOOD_ORDERINGFOOD_DELIVERYFOOD_TAKEOUTSHOP_ONLINE |
input.placeActionLinks[].isPreferred | boolean | optional | Marks this link preferred for its type. At most one preferred per type. |
input.placeActionLinks[].uri | string | required | Destination URL. |
Request
Request
curl -X POST 'https://api.synup.com/api/v4/locations' \
-H 'Authorization: API YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"input": {
"tenure": "Monthly",
"name": "Whisk & Bloom Bakery",
"street": "123 Maple Avenue",
"street1": "Suite 202",
"city": "San Francisco",
"postalCode": "94107",
"phone": "(415) 555-1239",
"stateIso": "CA",
"countryIso": "US",
"ownerEmail": "lana@whiskbloom.com",
"ownerName": "Lana Thompson",
"subCategoryId": 10,
"description": "Whisk & Bloom Bakery offers a delightful selection of organic and gluten-free baked goods. Our mission is to provide fresh, handmade pastries and cakes crafted with love and the finest ingredients. Visit us for a cozy experience and enjoy our special seasonal treats!",
"bizUrl": "https://www.whisknbloombakery.com/",
"facebookUrl": "https://www.facebook.com/whisknbloomBakery/",
"linkedinUrl": "https://www.linkedin.com/company/whisknbloombakery",
"twitterUrl": "https://twitter.com/whisknbloomBakery",
"instagramUrl": "https://www.instagram.com/whisknbloombakery/",
"youtubeUrl": null,
"tiktokUrl": null,
"pinterestUrl": "https://www.pinterest.com/whisknbloombakery/",
"tagline": "Fresh. Organic. Delicious.",
"paymentMethods": [
"VISA",
"CASH"
],
"yearOfIncorporation": 2015,
"hideAddress": false,
"businessHours": [
{
"day": "MONDAY",
"slots": [
{
"start": "08:00am",
"end": "12:00pm"
},
{
"start": "01:00pm",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "TUESDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "WEDNESDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "THURSDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "FRIDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "SATURDAY",
"slots": [
{
"start": "08:00am",
"end": "04:00pm"
}
],
"type": "OPEN"
},
{
"day": "SUNDAY",
"slots": [],
"type": "CLOSED"
}
],
"additionalCategoryIds": [],
"videos": [],
"enabledSiteIds": [],
"submissionDisabledSiteIds": [],
"temporarilyClosed": false,
"additionalPhones": [
"(415) 555-5678",
"(415) 555-9012"
],
"googleAdsPhone": "(415) 555-3456",
"bookingUrl": "https://www.whisknbloombakery.com/reservations",
"offeringsUrl": "https://www.whisknbloombakery.com/menu",
"reservationUrl": "https://www.whisknbloombakery.com/book",
"storeId": null,
"placeActionLinks": [
{
"placeActionType": "FOOD_ORDERING",
"uri": "https://order.example.com",
"isPreferred": true
},
{
"placeActionType": "FOOD_DELIVERY",
"uri": "https://deliver.example.com"
}
]
}
}'const res = await fetch('https://api.synup.com/api/v4/locations', {
method: 'POST',
headers: {
Authorization: 'API YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"input": {
"tenure": "Monthly",
"name": "Whisk & Bloom Bakery",
"street": "123 Maple Avenue",
"street1": "Suite 202",
"city": "San Francisco",
"postalCode": "94107",
"phone": "(415) 555-1239",
"stateIso": "CA",
"countryIso": "US",
"ownerEmail": "lana@whiskbloom.com",
"ownerName": "Lana Thompson",
"subCategoryId": 10,
"description": "Whisk & Bloom Bakery offers a delightful selection of organic and gluten-free baked goods. Our mission is to provide fresh, handmade pastries and cakes crafted with love and the finest ingredients. Visit us for a cozy experience and enjoy our special seasonal treats!",
"bizUrl": "https://www.whisknbloombakery.com/",
"facebookUrl": "https://www.facebook.com/whisknbloomBakery/",
"linkedinUrl": "https://www.linkedin.com/company/whisknbloombakery",
"twitterUrl": "https://twitter.com/whisknbloomBakery",
"instagramUrl": "https://www.instagram.com/whisknbloombakery/",
"youtubeUrl": null,
"tiktokUrl": null,
"pinterestUrl": "https://www.pinterest.com/whisknbloombakery/",
"tagline": "Fresh. Organic. Delicious.",
"paymentMethods": [
"VISA",
"CASH"
],
"yearOfIncorporation": 2015,
"hideAddress": false,
"businessHours": [
{
"day": "MONDAY",
"slots": [
{
"start": "08:00am",
"end": "12:00pm"
},
{
"start": "01:00pm",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "TUESDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "WEDNESDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "THURSDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "FRIDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "SATURDAY",
"slots": [
{
"start": "08:00am",
"end": "04:00pm"
}
],
"type": "OPEN"
},
{
"day": "SUNDAY",
"slots": [],
"type": "CLOSED"
}
],
"additionalCategoryIds": [],
"videos": [],
"enabledSiteIds": [],
"submissionDisabledSiteIds": [],
"temporarilyClosed": false,
"additionalPhones": [
"(415) 555-5678",
"(415) 555-9012"
],
"googleAdsPhone": "(415) 555-3456",
"bookingUrl": "https://www.whisknbloombakery.com/reservations",
"offeringsUrl": "https://www.whisknbloombakery.com/menu",
"reservationUrl": "https://www.whisknbloombakery.com/book",
"storeId": null,
"placeActionLinks": [
{
"placeActionType": "FOOD_ORDERING",
"uri": "https://order.example.com",
"isPreferred": true
},
{
"placeActionType": "FOOD_DELIVERY",
"uri": "https://deliver.example.com"
}
]
}
}),
});
const data = await res.json();import requests
res = requests.post(
"https://api.synup.com/api/v4/locations",
headers={
"Authorization": "API YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"input": {
"tenure": "Monthly",
"name": "Whisk & Bloom Bakery",
"street": "123 Maple Avenue",
"street1": "Suite 202",
"city": "San Francisco",
"postalCode": "94107",
"phone": "(415) 555-1239",
"stateIso": "CA",
"countryIso": "US",
"ownerEmail": "lana@whiskbloom.com",
"ownerName": "Lana Thompson",
"subCategoryId": 10,
"description": "Whisk & Bloom Bakery offers a delightful selection of organic and gluten-free baked goods. Our mission is to provide fresh, handmade pastries and cakes crafted with love and the finest ingredients. Visit us for a cozy experience and enjoy our special seasonal treats!",
"bizUrl": "https://www.whisknbloombakery.com/",
"facebookUrl": "https://www.facebook.com/whisknbloomBakery/",
"linkedinUrl": "https://www.linkedin.com/company/whisknbloombakery",
"twitterUrl": "https://twitter.com/whisknbloomBakery",
"instagramUrl": "https://www.instagram.com/whisknbloombakery/",
"youtubeUrl": None,
"tiktokUrl": None,
"pinterestUrl": "https://www.pinterest.com/whisknbloombakery/",
"tagline": "Fresh. Organic. Delicious.",
"paymentMethods": [
"VISA",
"CASH"
],
"yearOfIncorporation": 2015,
"hideAddress": False,
"businessHours": [
{
"day": "MONDAY",
"slots": [
{
"start": "08:00am",
"end": "12:00pm"
},
{
"start": "01:00pm",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "TUESDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "WEDNESDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "THURSDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "FRIDAY",
"slots": [
{
"start": "08:00am",
"end": "06:00pm"
}
],
"type": "OPEN"
},
{
"day": "SATURDAY",
"slots": [
{
"start": "08:00am",
"end": "04:00pm"
}
],
"type": "OPEN"
},
{
"day": "SUNDAY",
"slots": [],
"type": "CLOSED"
}
],
"additionalCategoryIds": [],
"videos": [],
"enabledSiteIds": [],
"submissionDisabledSiteIds": [],
"temporarilyClosed": False,
"additionalPhones": [
"(415) 555-5678",
"(415) 555-9012"
],
"googleAdsPhone": "(415) 555-3456",
"bookingUrl": "https://www.whisknbloombakery.com/reservations",
"offeringsUrl": "https://www.whisknbloombakery.com/menu",
"reservationUrl": "https://www.whisknbloombakery.com/book",
"storeId": None,
"placeActionLinks": [
{
"placeActionType": "FOOD_ORDERING",
"uri": "https://order.example.com",
"isPreferred": True
},
{
"placeActionType": "FOOD_DELIVERY",
"uri": "https://deliver.example.com"
}
]
}
},
)
data = res.json()req, _ := http.NewRequest("POST", "https://api.synup.com/api/v4/locations", bytes.NewBufferString(payload))
req.Header.Set("Authorization", "API YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)Responses
| Status | Description |
|---|---|
200 | Location created successfully |
400 | Bad request, invalid input |
Example response (generated from the schema)
{
"data": {
"createLocation": {
"errors": null,
"location": {
"accountId": 0,
"additionalCategoryIds": [
"string"
],
"additionalInfo": null,
"additionalPhones": [
"string"
],
"archived": true,
"archivedAt": null,
"billingPeriod": null,
"bizUrl": "string",
"bookingUrl": "string",
"categoryId": 0,
"businessHours": [
{
"day": "MONDAY",
"slots": [
null
],
"type": "OPEN",
"specialDate": "string"
}
],
"city": "string",
"countryIso": "string",
"customAttributes": [
{
"archived": true,
"enumValues": [
null
],
"name": "string",
"slug": "string",
"type": "string",
"value": [
null
]
}
],
"databaseId": 0,
"description": "string",
"facebookUrl": "string",
"folderId": "string",
"folderName": "string",
"googleAdsPhone": "string",
"googleplusUrl": null,
"hideAddress": true,
"id": "string",
"instagramUrl": "string",
"isRestaurant": true,
"latitude": 0,
"linkedinUrl": "string",
"locationPhotos": [
"string"
],
"longitude": 0,
"moreHours": [
"string"
],
"name": "string",
"offeringsUrl": "string",
"ownerEmail": "string",
"ownerName": "string",
"package": "string",
"paymentMethods": [
"string"
],
"phone": "string",
"pinterestUrl": "string",
"planId": 0,
"planName": "string",
"postalCode": "string",
"publisherAttributes": [
"string"
],
"reservationUrl": "string",
"serviceItems": [
"string"
],
"stateIso": "string",
"storeId": null,
"street": "string",
"street1": "string",
"subCategory": {
"databaseId": 0,
"id": "string",
"name": "string",
"primary": true
},
"subCategoryId": 0,
"subCategoryName": "string",
"tagline": "string",
"tags": [
"string"
],
"temporarilyClosed": true,
"tiktokUrl": null,
"toplineMessage": null,
"toplineMessageText": null,
"twitterUrl": "string",
"videos": [
"string"
],
"yearOfIncorporation": 0,
"youtubeUrl": null,
"placeActionLinks": [
{
"placeActionType": "FOOD_ORDERING FOOD_ORDERING",
"uri": "string",
"isPreferred": true,
"name": "string",
"submissionStatus": "string",
"submissionMessage": "string",
"lastSubmittedAt": "string",
"isEditable": "string"
}
],
"discoveredPlaceActionLinks": [
{
"placeActionType": "string",
"uri": "string",
"isPreferred": true,
"name": "string",
"providerType": "string",
"isEditable": true
}
]
},
"success": true,
"warnings": [
"string"
]
}
},
"message": "Location created successfully"
}Response body
| Name | Type | Required | Description |
|---|---|---|---|
data | object | optional | Contains the response data for the create location request. |
data.createLocation | object | optional | Encapsulates details about the created location. |
data.createLocation.errors | null | optional | Errors encountered during the location creation process, if any. Null if no errors. |
data.createLocation.location | object | optional | Details of the created location. |
data.createLocation.location.accountId | integer | required | |
data.createLocation.location.additionalCategoryIds | array of string | required | |
data.createLocation.location.additionalInfo | null | required | |
data.createLocation.location.additionalPhones | array of string | required | |
data.createLocation.location.archived | boolean | required | |
data.createLocation.location.archivedAt | null | required | |
data.createLocation.location.billingPeriod | null | required | |
data.createLocation.location.bizUrl | string | optional | |
data.createLocation.location.bookingUrl | string | optional | |
data.createLocation.location.categoryId | integer | required | |
data.createLocation.location.businessHours | array of object | optional | Business hours for each day of the week |
data.createLocation.location.businessHours[].day | string | required | Day of the week | SpecialMONDAYTUESDAYWEDNESDAYTHURSDAYFRIDAYSATURDAYSUNDAYSPECIAL |
data.createLocation.location.businessHours[].slots | array of object | required | Array of time slots (minimum 1, maximum 2). Required only if type is OPEN. |
data.createLocation.location.businessHours[].slots[].start | string | optional | Opening time. Valid formats: <HH>:<MM>am OR <HH>:<MM>pm |
data.createLocation.location.businessHours[].slots[].end | string | optional | Closing time. Valid formats: <HH>:<MM>am OR <HH>:<MM>pm |
data.createLocation.location.businessHours[].type | string | required | Type of business hours (e.g., OPEN, CLOSED, OPEN_24x7)OPENOPEN_24x7CLOSED |
data.createLocation.location.businessHours[].specialDate | string | optional | Day should be SPECIAL. Regular hours is mandatory. Regular hours is mandatory for special hours to be allowed |
data.createLocation.location.city | string | required | |
data.createLocation.location.countryIso | string | required | |
data.createLocation.location.customAttributes | array of object | required | |
data.createLocation.location.customAttributes[].archived | boolean | optional | |
data.createLocation.location.customAttributes[].enumValues | array of string | optional | |
data.createLocation.location.customAttributes[].name | string | optional | |
data.createLocation.location.customAttributes[].slug | string | optional | |
data.createLocation.location.customAttributes[].type | string | optional | |
data.createLocation.location.customAttributes[].value | array of string | optional | |
data.createLocation.location.databaseId | integer | required | |
data.createLocation.location.description | string | required | |
data.createLocation.location.facebookUrl | string | optional | |
data.createLocation.location.folderId | string | required | |
data.createLocation.location.folderName | string | required | |
data.createLocation.location.googleAdsPhone | string | required | |
data.createLocation.location.googleplusUrl | null | required | |
data.createLocation.location.hideAddress | boolean | required | |
data.createLocation.location.id | string | required | |
data.createLocation.location.instagramUrl | string | optional | |
data.createLocation.location.isRestaurant | boolean | optional | |
data.createLocation.location.latitude | number | required | |
data.createLocation.location.linkedinUrl | string | optional | |
data.createLocation.location.locationPhotos | array of string | required | |
data.createLocation.location.longitude | number | required | |
data.createLocation.location.moreHours | array of string | required | |
data.createLocation.location.name | string | required | |
data.createLocation.location.offeringsUrl | string | optional | |
data.createLocation.location.ownerEmail | string | required | |
data.createLocation.location.ownerName | string | required | |
data.createLocation.location.package | string | required | |
data.createLocation.location.paymentMethods | array of string | required | |
data.createLocation.location.phone | string | required | |
data.createLocation.location.pinterestUrl | string | required | |
data.createLocation.location.planId | integer | required | |
data.createLocation.location.planName | string | required | |
data.createLocation.location.postalCode | string | required | |
data.createLocation.location.publisherAttributes | array of string | required | |
data.createLocation.location.reservationUrl | string | required | |
data.createLocation.location.serviceItems | array of string | required | |
data.createLocation.location.stateIso | string | required | |
data.createLocation.location.storeId | null | required | |
data.createLocation.location.street | string | required | |
data.createLocation.location.street1 | string | required | |
data.createLocation.location.subCategory | object | required | |
data.createLocation.location.subCategory.databaseId | integer | required | |
data.createLocation.location.subCategory.id | string | required | |
data.createLocation.location.subCategory.name | string | required | |
data.createLocation.location.subCategory.primary | boolean | required | |
data.createLocation.location.subCategoryId | integer | required | |
data.createLocation.location.subCategoryName | string | required | |
data.createLocation.location.tagline | string | required | |
data.createLocation.location.tags | array of string | required | |
data.createLocation.location.temporarilyClosed | boolean | required | |
data.createLocation.location.tiktokUrl | null | required | |
data.createLocation.location.toplineMessage | null | required | |
data.createLocation.location.toplineMessageText | null | required | |
data.createLocation.location.twitterUrl | string | required | |
data.createLocation.location.videos | array of string | required | |
data.createLocation.location.yearOfIncorporation | integer | required | |
data.createLocation.location.youtubeUrl | null | required | |
data.createLocation.location.placeActionLinks | array of object | optional | |
data.createLocation.location.placeActionLinks[].placeActionType | string | required | FOOD_ORDERING FOOD_ORDERINGONLINE_APPOINTMENTAPPOINTMENTDINING_RESERVATIONFOOD_DELIVERYFOOD_TAKEOUTSHOP_ONLINE |
data.createLocation.location.placeActionLinks[].uri | string | required | |
data.createLocation.location.placeActionLinks[].isPreferred | boolean | optional | |
data.createLocation.location.placeActionLinks[].name | string | optional | |
data.createLocation.location.placeActionLinks[].submissionStatus | string | optional | |
data.createLocation.location.placeActionLinks[].submissionMessage | string | optional | |
data.createLocation.location.placeActionLinks[].lastSubmittedAt | string | optional | |
data.createLocation.location.placeActionLinks[].isEditable | string | optional | |
data.createLocation.location.discoveredPlaceActionLinks | array of object | optional | |
data.createLocation.location.discoveredPlaceActionLinks[].placeActionType | string | required | |
data.createLocation.location.discoveredPlaceActionLinks[].uri | string | required | |
data.createLocation.location.discoveredPlaceActionLinks[].isPreferred | boolean | required | |
data.createLocation.location.discoveredPlaceActionLinks[].name | string | required | |
data.createLocation.location.discoveredPlaceActionLinks[].providerType | string | required | |
data.createLocation.location.discoveredPlaceActionLinks[].isEditable | boolean | required | |
data.createLocation.success | boolean | optional | Indicates whether the location creation was successful. |
data.createLocation.warnings | array of string | optional | List of warnings generated during the request processing, if any. |
message | string | optional | Response message indicating the result of the operation. |